#Spring
spring:
  datasource:
    hikari:
    dynamic:
      primary: wip #设置默认的数据源或者数据源组,默认值即为master
      datasource:
        wip:
          url: jdbc:oracle:thin:@113.98.201.217:1521/ORD
          username: wip
          password: wip
          driver-class-name: oracle.jdbc.OracleDriver
      druid:
        filters: stat,wall,log4j2
        initial-size: 5
        max-active: 50
        min-idle: 5
        max-wait: 60000
        validation-query: SELECT 'x' FROM DUAL
        test-on-borrow: true
        test-on-return: true
        test-while-idle: true
        time-between-eviction-runs-millis: 60000
        min-evictable-idle-time-millis: 300000
        remove-abandoned: true
        remove-abandoned-timeout: 1800
        log-abandoned: true
        web-stat-filter:
          enabled: true
          url-pattern: /*
          exclusions: '*.js,*.gif,*.jpg,*.bmp,*.png,*.css,*.ico,/druid/*'
        stat-view-servlet:
          enabled: true
          url-pattern: /druid/*
          reset-enable: false
        stat:
          log-slow-sql: true
          merge-sql: true
          slow-sql-millis: 100
  activemq:
    enabled: false
    brokerUrl: tcp://localhost:61616?wireFormat.maxInactivityDuration=0
    password: admin
    user: admin
    pool:
      enabled: true
      max-connections: 10

#发送消息
activemq:
  brokerUrl: tcp://localhost:61616?wireFormat.maxInactivityDuration=0
  password: admin
  user: admin
  pool:
    enabled: true
    max-connections: 10

#WebService
ws:
  erp:
    server: 172.16.251.223
    port: 8000
    user: mesd001
    pwd: a123456
    valid: N

#quartz任务启用
quartz:
  enabled: false

#打印服务器配置
print:
  server: http://localhost:8080/CodeSoftPrintWeb/printService

mepapi:
  server: 113.98.201.217
  port: 50000
  username: site_admin
  password: Sap12345

#邮箱服务配置
mail:
  host: 127.0.0.1
  from: Leon@857.com

#短信服务配置
mobile:
  url: https://mb345.com/ws/BatchSend2.aspx?CorpID=USER_NAME&Pwd=PASS_WORD&Mobile=LIST_PHONE&Content=SEND_CONTENT&Cell=CELL&SendTime=SEND_TIME
  username:
  password:

#微信服务配置
wechat:
  corpId: wwe165c947675eca6e
  agentId: 1000002
  secret: 12xgztk0Z7RqehAl6CnoGmmyD0LTJKhQOldoMm5gYhE
  accessTokenUrl: https://qyapi.weixin.qq.com/cgi-bin/gettoken?corpid=ID&corpsecret=SECRET
  postUrl: https://qyapi.weixin.qq.com/cgi-bin/message/send?access_token=ACCESS_TOKEN

#ftp文档服务器
#ftp:
#  host: 10.4.1.53
#  port:  21
#  username:
#  password:

ftp:
  host: 106.52.244.124
  port: 21
  username: zjw
  password: zhaojiawei
activeMq:
  sendWeChatMessage: tcp://localhost:61616?wireFormat.maxInactivityDuration=0
  queue: send.weChat.notice
exportDocument:
  filePath: /Users/zhaojiawei/Desktop/青岛项目后台/mesnac5.biz/production/src/main/resources/
  outputPath: /Users/zhaojiawei/Desktop/
  template: scrap.ftl